/// <reference types="node" />
import { DeployOptions, DeployResult, BaseApi, RetrieveOptions, RetrievePathOptions, ApiResult, DeployPathOptions } from '../types';
export declare const enum DeployStatusEnum {
    Succeeded = "Succeeded",
    InProgress = "InProgress",
    Pending = "Pending",
    Failed = "Failed"
}
export declare class MetadataApi extends BaseApi {
    retrieveWithPaths(options: RetrievePathOptions): Promise<ApiResult>;
    retrieve(options: RetrieveOptions): Promise<ApiResult>;
    deploy(options: DeployOptions): Promise<DeployResult>;
    deployWithPaths(options: DeployPathOptions): Promise<DeployResult>;
    metadataDeployID(zipBuffer: Buffer): Promise<string>;
    metadataDeployStatusPoll(deployID: string, timeout?: number, interval?: number): Promise<DeployResult>;
}
