import { BaseSourceAdapter } from './baseSourceAdapter';
import { SourcePath, MetadataComponent } from '../../types';
/**
 * Handles types with a single content file with a matching file extension.
 *
 * __Example Types__:
 *
 * ApexClass, ApexTrigger, ApexComponent
 *
 * __Example Structure__:
 *
 * ```text
 * foos/
 * ├── foobar.ext
 * ├── foobar.ext-meta.xml
 *```
 */
export declare class MatchingContentSourceAdapter extends BaseSourceAdapter {
    protected getRootMetadataXmlPath(trigger: SourcePath): SourcePath;
    protected populate(component: MetadataComponent, trigger: SourcePath): MetadataComponent;
}
